package com.lanyuanxiaoyao.service.uploader.configuration;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author lanyuanxiaoyao
 * @date 2024-01-24
 */
@Configuration
@ConfigurationProperties("uploader")
public class UploaderConfiguration {
    private String tmpDir;

    public String getTmpDir() {
        return tmpDir;
    }

    public void setTmpDir(String tmpDir) {
        this.tmpDir = tmpDir;
    }

    @Override
    public String toString() {
        return "UploaderConfiguration{" +
               "tmpDir='" + tmpDir + '\'' +
               '}';
    }
}
